Name:           perl-Test-Run
Version:        0.0303
Release:        3%{?dist}
Summary:        Extensible and object-oriented test harness for TAP scripts
# lib and other code:               MIT
# lib/Test/Run/Straps_GplArt.pm:    GPLv2+ or Artistic
# lib/Test/Run/Core_GplArt.pm:      GPL+ or Artistic
# t/lib/Test (not installed):       GPL+ or Artistic
License:        (GPL+ or Artistic) and (GPLv2+ or Artistic) and MIT
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-Run/
Source0:        http://www.cpan.org/authors/id/S/SH/SHLOMIF/Test-Run-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  perl
BuildRequires:  perl(File::Spec) >= 0.6
BuildRequires:  perl(lib)
# Prefer Module::Build over ExtUtils::Maker because the Test::Run::Builder
# uses Module::Build too
BuildRequires:  perl(Module::Build) >= 0.36
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
BuildRequires:  sed
# Run-time:
BuildRequires:  perl(Benchmark)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Config)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Fatal)
BuildRequires:  perl(IPC::System::Simple) >= 1.21
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Moose)
BuildRequires:  perl(MooseX::StrictConstructor)
BuildRequires:  perl(MRO::Compat)
BuildRequires:  perl(overload)
# POSIX is optional
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(TAP::Parser) >= 3.09
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Trap)
BuildRequires:  perl(Text::Sprintf::Named) >= 0.02
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(UNIVERSAL::require)
# Tests:
BuildRequires:  perl(Cwd)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(if)
BuildRequires:  perl(POSIX)
# Optional tests:
BuildRequires:  perl(Test::Pod) >= 1.00
BuildRequires:  perl(Test::Pod::Coverage) >= 1.04
BuildRequires:  perl(Test::TrailingSpace)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(IPC::System::Simple) >= 1.21
Requires:       perl(TAP::Parser) >= 3.09
Requires:       perl(Text::Sprintf::Named) >= 0.02

# Remove under-specified dependenices
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((IPC::System::Simple|TAP::Parser|Text::Sprintf::Named)\\)$

%description
These Perl modules are an improved test harness based on Test::Harness, but
more modular, extensible and object-oriented.

%prep
%setup -q -n Test-Run-%{version}
# Remove bundled modules
rm -rf t/lib/Test
rm -rf t/lib/if.pm
sed -i -e '/^t\/lib\/Test\//d' MANIFEST
sed -i -e '/^t\/lib\/if\.pm/d' MANIFEST

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%license LICENSE
%doc Changes DONE examples NOTES README TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0303-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 08 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.0303-2
- Perl 5.22 rebuild

* Mon Jun 01 2015 Petr Pisar <ppisar@redhat.com> - 0.0303-1
- 0.0303 bump

* Fri Feb 27 2015 Petr Pisar <ppisar@redhat.com> 0.0302-1
- Specfile autogenerated by cpanspec 1.78.
